#ifndef _LIB_FONT_H_
#define _LIB_FONT_H_


#define CHAR_8x8     8
#define CHAR_16x16   16

#ifndef FONT_EXPANDED
#  define FONT_EXPANDED         0     /* from SVGALIB */
#  define FONT_COMPRESSED       2     /* from SVGALIB */
#  define WRITEMODE_MASKED      1
#  define WRITEMODE_OVERWRITE   0
#endif

enum COLOR_definitions
{
    BLACK,		/* dark colors */
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,		/* light colors */
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
};

struct FONT_DATA
{
   short   width;
   short   height;
   short   writemode;
   unchar *bitmap;
};


#if defined(__STDC__) || defined(__cplusplus) || defined(NeedFunctionPrototypes)
#  define __PARMS(s) s
#else
#  define __PARMS(s) ()
#endif

void              font_char_color __PARMS((struct FONT_DATA *font, short color, short char_index));
void              font_color      __PARMS((struct FONT_DATA *font, short color));
struct FONT_DATA *font_load       __PARMS((char *directory, char *fontname));
void              font_free       __PARMS((struct FONT_DATA **font));

#undef __PARMS
#endif /* _LIB_FONT_H_ */
